'''weapons
'''

import pyglet
import item
from spritesheet import spritesheet

class Weapon(item.Item):
    def __init__(self, g, x, y):
        item.Item.__init__(self, g, x, y)
        img = spritesheet['weapon'][83]
        img.anchor_x = img.width // 2
        img.anchor_y = img.height // 2
        self.sprite = pyglet.sprite.Sprite(img, x = x, y = y)
    
    def action(self):
        self.g.gui.equipitem.equip_new(self)
        self.g.player.combat.attack_power += 5
        self.g.gui.printconsole("Equipped new weapon!")
        self.g.sound.play_sound('equip_item')

    def unequip_action(self):
        self.g.player.combat.attack_power -= 5

        
        
